=== python_bindings/requirements.txt ===
numpy>=1.10.0
pybind11>=2.0
