=== debian/changelog ===
hnswlib (0.4.0-3+deb11u1) bullseye; urgency=medium

  * Team upload.
  * cve-2023-37365.patch: new: fix CVE-2023-37365.
    This is done by capping M to 10000 per discussion with upstream.
    (Closes: #1041426)

 -- Étienne Mollier <emollier@debian.org>  Wed, 19 Jul 2023 11:07:28 +0200

hnswlib (0.4.0-3) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * Fix syntax

  [ Nilesh Patra ]
  * Remove -march=native flags (Closes: #974043)
  * Limit archs for testing

 -- Nilesh Patra <npatra974@gmail.com>  Wed, 11 Nov 2020 03:36:36 +0530

hnswlib (0.4.0-2) unstable; urgency=medium

  * Proper build instructions. (by Nilesh Patra)

 -- Steffen Moeller <moeller@debian.org>  Mon, 21 Sep 2020 16:59:36 +0200

hnswlib (0.4.0-1) unstable; urgency=medium

  * Initial release (Closes: #969558)

 -- Steffen Moeller <moeller@debian.org>  Fri, 04 Sep 2020 23:45:05 +0200
