=== debian/control ===
Source: hnswlib
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all-dev,
               python3-setuptools,
               python3-pybind11,
               python3-numpy
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/hnswlib
Vcs-Git: https://salsa.debian.org/med-team/hnswlib.git
Homepage: https://github.com/nmslib/hnswlib
Rules-Requires-Root: no

Package: python3-hnswlib
Architecture: any
Section: python
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         python3-pybind11,
         python3-numpy
Description: Python bindings for hnswlib: fast approximate nearest neighbor search
 A common task in data analysis but also in scientific computations
 is to find data that is very close (multi-dimensional space) or
 similar (same thing) to a given data point. Also as heuristics for
 physics engines, it is the objects closest to you that you are
 most likely to collide with. This library knows how to do this
 fast.
 .
 This package provides a module for Python3 to the C implementation.

Package: libhnswlib-dev
Architecture: all
Section: libdevel
Depends: ${misc:Depends}
Description: fast approximate nearest neighbor search
 Header-only C++ HNSW implementation with Python bindings.
 .
 A common task in data analysis but also in scientific computations
 is to find data that is very close (multi-dimensional space) or
 similar (same thing) to a given data point. Also as heuristics for
 physics engines, it is the objects closest to you that you are
 most likely to collide with. This library knows how to do this
 fast.
