=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1
export LC_ALL=C.UTF-8
PYBUILD_NAME=hnswlib
PYBUILD_SYSTEM=pybuild

include /usr/share/dpkg/default.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3 --buildsystem=pybuild --sourcedirectory=python_bindings

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	if [ -d  debian ]; then \
		echo "I: Testing goes here."; \
	fi
endif
