=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%hnswlib-$1.tar.gz%" \
https://github.com/nmslib/hnswlib/releases .*/archive/v?@ANY_VERSION@\.tar\.gz
