## hnswlib 0.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,4 +23,6 @@
 
 add_executable(test_updates examples/updates_test.cpp)
 
+add_executable(searchKnnCloserFirst_test examples/searchKnnCloserFirst_test.cpp)
+
 target_link_libraries(main sift_test)
