=== debian/changelog ===
hnswlib (0.5.2-1) unstable; urgency=medium

  * Team Upload.
  * Fix watch URL
  * New upstream version 0.5.2
  * Declare compliance with policy 4.5.1
  * Refresh and fix patches

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 Aug 2021 17:35:20 +0530
