=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python3-setuptools,
                python3-pybind11,
                python3-numpy
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/hnswlib
 Vcs-Git: https://salsa.debian.org/med-team/hnswlib.git
 Homepage: https://github.com/nmslib/hnswlib
