## hnswlib 0.6.0

=== debian/changelog ===
hnswlib (0.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 16 Jan 2022 20:01:48 +0100

hnswlib (0.5.2-2) UNRELEASED; urgency=medium

  * Team upload.
  * Fix watchfile to detect new versions on github

 -- Andreas Tille <tille@debian.org>  Sun, 16 Jan 2022 18:54:33 +0100
