=== debian/changelog ===
hnswlib (0.6.2-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 22:43:01 +0000

hnswlib (0.6.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 17 Feb 2022 20:38:57 +0100
