=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python3-setuptools,
                python3-pybind11,
                python3-numpy
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/hnswlib
 Vcs-Git: https://salsa.debian.org/med-team/hnswlib.git
 Homepage: https://github.com/nmslib/hnswlib
@@ -23,6 +23,7 @@
          ${python3:Depends},
          python3-pybind11,
          python3-numpy
+Multi-Arch: same
 Description: Python bindings for hnswlib: fast approximate nearest neighbor search
  A common task in data analysis but also in scientific computations
  is to find data that is very close (multi-dimensional space) or
@@ -37,6 +38,7 @@
 Architecture: all
 Section: libdevel
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: fast approximate nearest neighbor search
  Header-only C++ HNSW implementation with Python bindings.
  .
