=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,9 @@
 export LC_ALL=C.UTF-8
 PYBUILD_NAME=hnswlib
 PYBUILD_SYSTEM=pybuild
+
+# avoid -march=native to respect baseline
+export HNSWLIB_NO_NATIVE=yes
 
 include /usr/share/dpkg/default.mk
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
