=== debian/changelog ===
hnswlib (0.7.0-2build1) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Nov 2023 09:20:48 +0100

hnswlib (0.7.0-2) unstable; urgency=medium

  * d/control: add prerequisite for pyproject backend.
  * d/clean: remove tmp directory and egg information. (Closes: #1047848)
  * typo.patch: new: fix a typo caught by lintian.
  * d/control: bring cross buildability one step further.
    This is done by splitting the build dependency python3-all-dev into
    python3-all-dev:any and libpython3-dev so crossbuild dependencies are
    satisfiable.
  * cassert.patch: remove: fixed upstream.
  * d/rules: remove top_level.txt from .dist-info.
    This file is egg-info specific and flagged by lintian as documentation
    outside /usr/share/doc.
  * noTwine.patch: mark forwarding not-needed.
  * do-not-use-native-flags.patch: mark forwarding not-needed.
  * use-shared-while-linking.patch: mark forwarding not-needed.

 -- Étienne Mollier <emollier@debian.org>  Mon, 21 Aug 2023 14:19:23 +0200

hnswlib (0.7.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

  [ Étienne Mollier ]
  * cve-2023-37365.patch: new: fix CVE-2023-37365.
    This is done by capping M to 10000 per discussion with upstream.
    (Closes: #1041426)
  * d/t/run-unit-test: adjust to new source layout.
  * d/copyright: update reference to sift_1b.cpp.
  * d/t/run-unit-test: test against all supported python3 versions.
  * d/control: add myself to uploaders.

 -- Étienne Mollier <emollier@debian.org>  Wed, 19 Jul 2023 09:44:03 +0200

hnswlib (0.6.2-2) unstable; urgency=medium

  * Team upload.
  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 12 Oct 2022 16:11:36 +0200
