=== debian/control ===
--- 
+++ 
@@ -2,14 +2,17 @@
 Section: science
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Steffen Moeller <moeller@debian.org>
+Uploaders: Steffen Moeller <moeller@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               python3-all-dev,
+               libpython3-dev,
+               pybuild-plugin-pyproject,
+               python3-all-dev:any,
                python3-setuptools,
                python3-pybind11,
                python3-numpy
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/hnswlib
 Vcs-Git: https://salsa.debian.org/med-team/hnswlib.git
 Homepage: https://github.com/nmslib/hnswlib
