=== debian/changelog ===
hnswlib (0.8.0-1build4) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 13:19:41 +0000

hnswlib (0.8.0-1build3) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 22:08:30 +0000

hnswlib (0.8.0-1build2) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 10:01:05 +0100

hnswlib (0.8.0-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 11:11:30 +0000

hnswlib (0.8.0-1) unstable; urgency=medium

  * New upstream version
  * d/control: cross-build: fix python3-all-dev split.
  * d/control: crossbuild: mark python3-numpy :native.
    This allows hnswlib to cross-build from source.
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * do-not-use-native-flags.patch: refresh.
  * use-shared-while-linking.patch: refresh.
  * cve-2023-37365.patch: delete: applied upstream.
  * typo.patch: delete: applied upstream.

 -- Étienne Mollier <emollier@debian.org>  Thu, 14 Dec 2023 10:45:44 +0100
