=== debian/control ===
--- 
+++ 
@@ -5,13 +5,16 @@
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Étienne Mollier <emollier@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
-               libpython3-dev,
+               dh-sequence-python3,
+               libpython3-all-dev,
                pybuild-plugin-pyproject,
-               python3-all-dev:any,
+               python3-all-dev:native,
                python3-setuptools,
                python3-pybind11,
-               python3-numpy
+# Native numpy is required in cross compilation context to build the wheel,
+# so marking <!nocheck> is not appropriate here.  See also [1] for rationale.
+# [1]: https://lists.debian.org/debian-cross/2023/01/msg00005.html
+               python3-numpy:native
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/hnswlib
 Vcs-Git: https://salsa.debian.org/med-team/hnswlib.git
