=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-all
Restrictions: allow-stderr
Architecture: amd64 arm64 i386 armhf
